### Installation paths and compiled-in defaults
#
PREFIX		?= /usr/local

DIR_BIN		= $(PREFIX)/bin
DIR_SBIN	= $(PREFIX)/sbin
DIR_ETC		= $(PREFIX)/etc/openradius
DIR_LIB		= $(PREFIX)/lib/openradius

FILE_LOG	= /var/log/openradius/radiusd.log
FILE_LOG_EAPSRV	= /var/log/openradius/eapserver.log


### Modules that will be built and installed
#
TGT_LIB		+= modules/ascfile/ascfile
TGT_LIB		+= modules/unixpasswd/unixpasswd
TGT_LIB		+= modules/radlogger/radlogger
TGT_LIB		+= modules/delay/delay
TGT_LIB		+= modules/radsql/radsql
TGT_LIB		+= modules/memory/memory
TGT_LIB		+= modules/debug/debug
#TGT_LIB 	+= modules/radldap/radldap
TGT_LIB 	+= modules/tcpchat/tcpchat

# Experimental
#TGT_LIB	+= modules/eaptls/eaptls
#TGT_LIB	+= modules/subserver/subserver


### System compatibility flags, used in some targets' CF_TGT, LF_TGT or LL_TGT
#
S_CF_U_INT32_T	= -DU_INT32_T=uint32_t
S_CF_SYSLOG	= -DHAVE_SYSLOG
S_CF_VSNPRINTF 	= -DHAVE_VSNPRINTF
S_CF_SIGACTION 	= -DHAVE_SIGACTION
S_CF_CRYPT	= -DHAVE_CRYPT
S_CF_EVB	= -I/usr/local/include
S_CF_TLS	=

S_LL_INET	=
S_LL_CRYPT	= -lcrypt
S_LL_EVB	= -levb1
S_LL_TLS	= -lgnutls -lgnutls-extra


### Build flags for all targets
#
#CF_ALL		= -O2 -Wall
#LF_ALL		= -s
#LL_ALL		=
CF_ALL		= -g -Wall -std=c99 -D_POSIX_SOURCE
LF_ALL		= 
LL_ALL		=


### Module-specific build flags
#
#CF_RADLDAP	= -D_SVID_SOURCE -I/usr/local/include/openldap
#LF_RADLDAP	= -L/usr/local/lib
#LL_RADLDAP	= -lldap -llber
CF_RADLDAP	= -D_SVID_SOURCE -D_BSD_SOURCE
LF_RADLDAP	=
LL_RADLDAP	= -lldap -llber


### Build tools
# 
# The C compiler named here must output full (header) dependencies in $(@).d.
# It may be necessary to create a script similar to ccd-gcc for your compiler.
# 
CMPLR		= ./build/ccd-gcc
DEFHDR		= ./build/hdr
INST		= ./build/install
ARCHIVE		= ar rc $@ $^
#
PREP		= $(CMPLR) $(CF_ALL) $(CF_TGT) -E -o $@ $<
COMP		= $(CMPLR) $(CF_ALL) $(CF_TGT) -o $@ -c $<
LINK		= $(CMPLR) $(LF_ALL) $(LF_TGT) -o $@ $^ $(LL_TGT) $(LL_ALL)
COMPLINK	= $(CMPLR) $(CF_ALL) $(CF_TGT) $(LF_ALL) $(LF_TGT) -o $@ $< $(LL_TGT) $(LL_ALL)


### Standard parts
#
include	Rules.mk

